# Uses of Class
org.opensaml.saml.common.messaging.context.ChannelBindingsContext

Packages that use ChannelBindingsContext
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of ChannelBindingsContext in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl declared as ChannelBindingsContext
Modifier and Type
Field
Description
`private ChannelBindingsContext`
AddChannelBindingsHeaderHandler.`channelBindingsContext`
The ChannelBindingsContext to operate on.
Fields in org.opensaml.saml.common.binding.impl with type parameters of type ChannelBindingsContext
Modifier and Type
Field
Description
`private Function<MessageContext,ChannelBindingsContext>`
AddChannelBindingsHeaderHandler.`channelBindingsContextLookupStrategy`
Strategy used to locate the `ChannelBindingsContext` to operate on.
Method parameters in org.opensaml.saml.common.binding.impl with type arguments of type ChannelBindingsContext
Modifier and Type
Method
Description
`void`
AddChannelBindingsHeaderHandler.`setChannelBindingsContextLookupStrategy(Function<MessageContext,ChannelBindingsContext> strategy)`
Set the strategy used to locate the `ChannelBindingsContext` to operate on.

## Uses of ChannelBindingsContext in org.opensaml.saml.common.profile.impl

Fields in org.opensaml.saml.common.profile.impl declared as ChannelBindingsContext
Modifier and Type
Field
Description
`private ChannelBindingsContext`
VerifyChannelBindings.`channelBindingsContext1`
The first set of bindings.
`private ChannelBindingsContext`
VerifyChannelBindings.`channelBindingsContext2`
The second set of bindings.
Fields in org.opensaml.saml.common.profile.impl with type parameters of type ChannelBindingsContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ChannelBindingsContext>`
VerifyChannelBindings.`channelBindingsCreationStrategy`
Strategy used to locate or create the context to save the verified result in.
`private Function<ProfileRequestContext,ChannelBindingsContext>`
VerifyChannelBindings.`channelBindingsLookupStrategy1`
Strategy used to locate the first set of bindings to operate on.
`private Function<ProfileRequestContext,ChannelBindingsContext>`
VerifyChannelBindings.`channelBindingsLookupStrategy2`
Strategy used to locate the second set of bindings to operate on.
Method parameters in org.opensaml.saml.common.profile.impl with type arguments of type ChannelBindingsContext
Modifier and Type
Method
Description
`void`
VerifyChannelBindings.`setChannelBindingsCreationStrategy(Function<ProfileRequestContext,ChannelBindingsContext> strategy)`
Set the strategy used to create or locate the `ChannelBindingsContext` to save verified results in.
`void`
VerifyChannelBindings.`setChannelBindingsLookupStrategy1(Function<ProfileRequestContext,ChannelBindingsContext> strategy)`
Set the strategy used to locate the first `ChannelBindingsContext` to operate on.
`void`
VerifyChannelBindings.`setChannelBindingsLookupStrategy2(Function<ProfileRequestContext,ChannelBindingsContext> strategy)`
Set the strategy used to locate the second `ChannelBindingsContext` to operate on.

## Uses of ChannelBindingsContext in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl declared as ChannelBindingsContext
Modifier and Type
Field
Description
`private ChannelBindingsContext`
AddChannelBindingsToAssertions.`channelBindingsContext`
ChannelBindingsContext to read from.
Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type ChannelBindingsContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ChannelBindingsContext>`
AddChannelBindingsToAssertions.`channelBindingsContextLookupStrategy`
Strategy used to locate the `ChannelBindingsContext` to operate on.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type ChannelBindingsContext
Modifier and Type
Method
Description
`void`
AddChannelBindingsToAssertions.`setChannelBindingsContextLookupStrategy(Function<ProfileRequestContext,ChannelBindingsContext> strategy)`
Set the strategy used to locate the `ChannelBindingsContext` to operate on.